Storage Service API
Storage service provides the endpoints for managing datasets and artifacts.
Download OpenAPI specification:
Lists all VCS integrations under the specified organization.
Lists all VCS integrations under the specified organization.
Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer
Code samples for "Lists all VCS integrations under the specified organization.":
Request example
curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://services.api.unity.com/assets/storage/v1/organizations/{organizationId}/vcs-integrations"
Response example
{ "limit": 0, "offset": 0, "results": [ { "id": "string", "name": "string", "provider": "Uvcs" } ], "total": 0}
Creates a new UVCS integration under the specified organization.
Creates a new UVCS integration under the specified organization.
Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer
Code samples for "Creates a new UVCS integration under the specified organization.":
Request example
curl -X POST \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: application/*+json" \ -d '{"name":"string"}' \ "https://services.api.unity.com/assets/storage/v1/organizations/{organizationId}/vcs-integrations/uvcs"
Response example
{ "id": "string", "name": "string", "provider": "Uvcs"}
Gets a UVCS integration.
Gets a UVCS integration.
Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer
Code samples for "Gets a UVCS integration.":
Request example
curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://services.api.unity.com/assets/storage/v1/organizations/{organizationId}/vcs-integrations/uvcs/{integrationId}"
Response example
{ "id": "string", "name": "string", "provider": "Uvcs"}
Updates an existing UVCS integration.
Updates an existing UVCS integration.
Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer
Code samples for "Updates an existing UVCS integration.":
Request example
curl -X PUT \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: application/*+json" \ -d '{"name":"string"}' \ "https://services.api.unity.com/assets/storage/v1/organizations/{organizationId}/vcs-integrations/uvcs/{integrationId}"
Response example
{ "id": "string", "name": "string", "provider": "Uvcs"}
Deletes a UVCS integration.
Deletes a UVCS integration.
Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer
Code samples for "Deletes a UVCS integration.":
Request example
curl -X DELETE \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://services.api.unity.com/assets/storage/v1/organizations/{organizationId}/vcs-integrations/uvcs/{integrationId}"
Response example
{ "code": 54, "detail": "The target resource couldn't be found", "requestId": "684529e0-265b-4875-8ee2-3f839c6aced2", "status": 404, "title": "Not Found", "type": "https://services.docs.unity.com/docs/errors#54"}
Lists all UVCS organizations that are readable by the current user.
Lists all UVCS organizations that are readable by the current user.
Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer
Code samples for "Lists all UVCS organizations that are readable by the current user.":
Request example
curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://services.api.unity.com/assets/storage/v1/organizations/{organizationId}/vcs-integrations/uvcs/{integrationId}/organizations"
Response example
{ "limit": 0, "offset": 0, "results": [ { "description": "string", "displayName": "string", "isEncrypted": true, "name": "string", "slug": "string" } ], "total": 0}
Lists all UVCS repositories that are readable by the current user.
Lists all UVCS repositories that are readable by the current user.
Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer
Code samples for "Lists all UVCS repositories that are readable by the current user.":
Request example
curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://services.api.unity.com/assets/storage/v1/organizations/{organizationId}/vcs-integrations/uvcs/{integrationId}/organizations/{organizationName}/repositories"
Response example
{ "limit": 0, "offset": 0, "results": [ { "defaultBranch": "string", "description": "string", "id": "string", "name": "string" } ], "total": 0}
Lists all branches that are readable by the current user in the repository.
Lists all branches that are readable by the current user in the repository.
Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer
Code samples for "Lists all branches that are readable by the current user in the repository.":
Request example
curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://services.api.unity.com/assets/storage/v1/organizations/{organizationId}/vcs-integrations/uvcs/{integrationId}/organizations/{organizationName}/repositories/{repositoryName}/branches"
Response example
{ "limit": 0, "offset": 0, "results": [ { "id": "string", "name": "string" } ], "total": 0}
Get folder information (files, folders and total size in bytes) from a branch.
Get folder information (files, folders and total size in bytes) from a branch. This operation is valid for folders only.
Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer
Path parameters for "Get folder information (files, folders and total size in bytes) from a branch."
Code samples for "Get folder information (files, folders and total size in bytes) from a branch.":
Request example
curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://services.api.unity.com/assets/storage/v1/organizations/{organizationId}/vcs-integrations/uvcs/{integrationId}/organizations/{organizationName}/repositories/{repositoryName}/branches/{branchName}/folder-info/(.*)"
Response example
{ "files": 0, "folders": 0, "totalSize": 0}
Lists all items that are available in the specified repository and branch.
Lists all items that are available in the specified repository and branch.
Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer
Code samples for "Lists all items that are available in the specified repository and branch.":
Request example
curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://services.api.unity.com/assets/storage/v1/organizations/{organizationId}/vcs-integrations/uvcs/{integrationId}/organizations/{organizationName}/repositories/{repositoryName}/branches/{branchName}/items/(.*)"
Response example
{ "limit": 0, "offset": 0, "results": [ { "comment": "string", "commitReference": "string", "contentType": "string", "dateTime": "2024-01-01T00:00:00Z", "filePath": "string", "isDir": true, "item": "string", "path": "string", "revisionId": 0, "size": 0 } ], "total": 0}
Downloads the specified asset artifact by redirecting to a cloud storage URL.
Downloads the specified asset artifact by redirecting to a cloud storage URL. When width or height parameters are informed, and the artifact is a supported image format (image/jpeg, image/gif, image/png, image/tiff, image/webp), it resizes the artifact. If both width and height are informed, the resized image may not preserve its aspect ratio. The minimum resized image dimensions are 2x2 pixels; the maximum resized image dimensions are 3850x3850 pixels.
Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer
Code samples for "Downloads the specified asset artifact by redirecting to a cloud storage URL.":
Request example
curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://services.api.unity.com/assets/storage/v1/projects/{projectId}/assets/{assetId}/versions/{assetVersion}/datasets/{dataSetId}/files/(.*)"
Response example
{ "expiry": "2024-01-01T00:00:00Z", "location": "https://example.com"}
Creates datasets under the specified Asset Manager project and asset.
Creates datasets under the specified Asset Manager project and asset.
Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer
Code samples for "Creates datasets under the specified Asset Manager project and asset.":
Request example
curl -X POST \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: application/*+json" \ -d '{"configurations":{"branch":"string","organization":"string","repository":"string"},"datasetName":"string","items":[{"filePath":"string","isDir":true}],"pauseSync":true,"vcsIntegrationId":"string"}' \ "https://services.api.unity.com/assets/storage/v1/vcs-integrations/projects/{projectId}/assets/{assetId}/versions/{assetVersion}/datasets"
Response example
{ "datasetId": "string", "items": [ { "filePath": "string", "isDir": true } ], "pauseSync": true}
Gets a dataset under the specified Asset Manager project and asset.
Gets a dataset under the specified Asset Manager project and asset.
Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer
Code samples for "Gets a dataset under the specified Asset Manager project and asset.":
Request example
curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://services.api.unity.com/assets/storage/v1/vcs-integrations/projects/{projectId}/assets/{assetId}/versions/{assetVersion}/datasets/{datasetId}"
Response example
{ "datasetId": "string", "items": [ { "filePath": "string", "isDir": true } ], "pauseSync": true}
Updates datasets under the specified Asset Manager project and asset.
Updates datasets under the specified Asset Manager project and asset.
Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer
Code samples for "Updates datasets under the specified Asset Manager project and asset.":
Request example
curl -X PUT \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: application/*+json" \ -d '{"items":[{"filePath":"string","isDir":true}],"pauseSync":true}' \ "https://services.api.unity.com/assets/storage/v1/vcs-integrations/projects/{projectId}/assets/{assetId}/versions/{assetVersion}/datasets/{datasetId}"
Response example
{ "datasetId": "string", "items": [ { "filePath": "string", "isDir": true } ], "pauseSync": true}
Deletes datasets under the specified Asset Manager project and asset.
Deletes datasets under the specified Asset Manager project and asset.
Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer
Code samples for "Deletes datasets under the specified Asset Manager project and asset.":
Request example
curl -X DELETE \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://services.api.unity.com/assets/storage/v1/vcs-integrations/projects/{projectId}/assets/{assetId}/versions/{assetVersion}/datasets/{datasetId}"
Response example
{ "code": 54, "detail": "The target resource couldn't be found", "requestId": "684529e0-265b-4875-8ee2-3f839c6aced2", "status": 404, "title": "Not Found", "type": "https://services.docs.unity.com/docs/errors#54"}